> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update generated query

> Update the SQL text of a previously generated data engineering query.



## OpenAPI

````yaml put /api/dataeng/query/{query_id}
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/dataeng/query/{query_id}:
    put:
      tags:
        - Data engineering
      summary: Update generated query
      description: Update the SQL text of a previously generated data engineering query.
      operationId: update_query_api_dataeng_query__query_id__put
      parameters:
        - name: query_id
          in: path
          required: true
          schema:
            type: string
            title: Query Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateDataEngQueryRequest'
      responses:
        '200':
          description: Query updated successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AskEngResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Query not found.
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    UpdateDataEngQueryRequest:
      properties:
        query:
          type: string
          title: Query
          description: The updated SQL query text.
      type: object
      required:
        - query
      title: UpdateDataEngQueryRequest
    AskEngResponse:
      properties:
        id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Id
          description: A unique ID for the generated query.
        query:
          type: string
          title: Query
          description: The interpreted SQL query generated from the prompt.
        data:
          anyOf:
            - $ref: '#/components/schemas/DataResponse'
            - type: 'null'
          description: The data returned as part of the query response, if applicable.
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
          description: Error message if any issue occurred during query generation.
      type: object
      required:
        - query
      title: AskEngResponse
    ErrorResponse:
      properties:
        error:
          type: string
          title: Error
          description: A brief description of the error that occurred.
        code:
          type: integer
          title: Code
          description: The HTTP status code associated with the error.
          default: 500
      type: object
      required:
        - error
      title: ErrorResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DataResponse:
      properties:
        start:
          type: integer
          title: Start
          description: >-
            The starting offset for pagination when returning a subset of the
            dataset.
        row_count:
          type: integer
          title: Row Count
          description: The number of rows included in the current response.
        next_start:
          anyOf:
            - type: integer
            - type: 'null'
          title: Next Start
          description: >-
            The offset value for the next page of data, if additional results
            are available.
        columns:
          items:
            type: string
          type: array
          title: Columns
          description: >-
            A list of column names representing the structure of the returned
            dataset.
        data:
          anyOf:
            - items:
                items: {}
                type: array
              type: array
            - type: 'null'
          title: Data
          description: >-
            The actual tabular data returned, where each inner list represents a
            row of values.
      type: object
      required:
        - start
        - row_count
        - columns
      title: DataResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````